Package: org.codehaus.groovy.binding

## [Java] Class BindingProxy

- org.codehaus.groovy.binding.BindingProxy

- All Implemented Interfaces and Traits:
    BindingUpdatable

      public class BindingProxy
      extends GroovyObjectSupport

  This class returns half bound FullBindings on the source half to the model object for every property reference (and I do mean every, valid or not, queried before or not). These returned half bindings are stored strongly in a list when generated. Changing the model will keep all existing bindings but change the source on all of the bininfs Formerly Known as Model Binding.

  Authors:
    Danno Ferrin
  Since:
    Groovy 1.5

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `model`
    `Object` | `property`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BindingProxy (Object model)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `bind()`
    `` | `Object` | `getModel()`
    `` | `Object` | `getProperty(String property)`
    `` | `void` | `rebind()`
    `` | `void` | `reverseUpdate()`
    `` | `void` | `setModel(Object model)`
    `` | `void` | `setProperty(String property, Object value)`
    `` | `void` | `unbind()`
    `` | `void` | `update()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Object model

    - #### Object property

  - ### Constructor Detail

    - #### public BindingProxy(Object model)

  - ### Method Detail

    - #### public void bind()

    - #### public Object getModel()

    - #### public Object getProperty(String property)

    - #### public void rebind()

    - #### public void reverseUpdate()

    - #### public void setModel(Object model)

    - #### public void setProperty(String property, Object value)

    - #### public void unbind()

    - #### public void update()